| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
concurrency::ControlFlowNode Class Referenceabstract

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for concurrency::ControlFlowNode:
[legend]
Collaboration diagram for concurrency::ControlFlowNode:
[legend]

## Public Member Functions
| ControlFlowNode (PrecedenceRulesGraph &graph, unsigned int nodeIndex, const std::string &name)
| Constructor. More...
virtual | ~ControlFlowNode ()
| Destructor. More...
virtual bool | accept (IGraphVisitor &visitor)=0
| Visitor entry point. More...
virtual void | printState (std::stringstream &output, AlgsExecutionStates &states, const std::vector< int > &node_decisions, const unsigned int &recursionLevel) const =0
| Print a string representing the control flow state. More...
const unsigned int & | getNodeIndex () const
| Get node index. More...
const std::string & | getNodeName () const
| Get node name. More...

## Public Attributes
PrecedenceRulesGraph * | m_graph

## Protected Member Functions
std::string | stateToString (const int &stateId) const
| Translation between state id and name. More...

## Protected Attributes
unsigned int | m_nodeIndex
std::string | m_nodeName

## Detailed Description

Definition at line 447 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

concurrency::ControlFlowNode::ControlFlowNode | ( | PrecedenceRulesGraph & | graph,
|  | unsigned int | nodeIndex,
|  | const std::string & | name
| ) |  |
| inline

Constructor.

Definition at line 451 of file PrecedenceRulesGraph.h.

452 : m_graph( &graph ), m_nodeIndex( nodeIndex ), m_nodeName( name )
453 {
454 }
concurrency::ControlFlowNode::m_graph
PrecedenceRulesGraph * m_graph
Definition: PrecedenceRulesGraph.h:469
concurrency::ControlFlowNode::m_nodeIndex
unsigned int m_nodeIndex
Definition: PrecedenceRulesGraph.h:474
concurrency::ControlFlowNode::m_nodeName
std::string m_nodeName
Definition: PrecedenceRulesGraph.h:475
plotSpeedupsPyRoot.graph
graph
Definition: plotSpeedupsPyRoot.py:142

virtual concurrency::ControlFlowNode::~ControlFlowNode | ( |  | ) |
| inline virtual

Destructor.

Definition at line 456 of file PrecedenceRulesGraph.h.

456 {}

## Member Function Documentation

virtual bool concurrency::ControlFlowNode::accept | ( | IGraphVisitor & | visitor | ) |
| pure virtual

Visitor entry point.

Implemented in concurrency::AlgorithmNode, and concurrency::DecisionNode.

const unsigned int& concurrency::ControlFlowNode::getNodeIndex | ( |  | ) | const
| inline

Get node index.

Definition at line 464 of file PrecedenceRulesGraph.h.

464 { return m_nodeIndex; }
concurrency::ControlFlowNode::m_nodeIndex
unsigned int m_nodeIndex
Definition: PrecedenceRulesGraph.h:474

const std::string& concurrency::ControlFlowNode::getNodeName | ( |  | ) | const
| inline

Get node name.

Definition at line 466 of file PrecedenceRulesGraph.h.

466 { return m_nodeName; }
concurrency::ControlFlowNode::m_nodeName
std::string m_nodeName
Definition: PrecedenceRulesGraph.h:475

virtual void concurrency::ControlFlowNode::printState | ( | std::stringstream & | output,
|  | AlgsExecutionStates & | states,
|  | const std::vector< int > & | node_decisions,
|  | const unsigned int & | recursionLevel
| ) |  | const
| pure virtual

Print a string representing the control flow state.

Implemented in concurrency::AlgorithmNode, and concurrency::DecisionNode.

std::string ControlFlowNode::stateToString | ( | const int & | stateId | ) | const
| protected

Translation between state id and name.

Definition at line 16 of file PrecedenceRulesGraph.cpp.

17 {
18
19 if ( 0 == stateId )
20 return "FALSE";
21 else if ( 1 == stateId )
22 return "TRUE";
23 else
24 return "UNDEFINED";
25 }

## Member Data Documentation

PrecedenceRulesGraph* concurrency::ControlFlowNode::m_graph

Definition at line 469 of file PrecedenceRulesGraph.h.

unsigned int concurrency::ControlFlowNode::m_nodeIndex
| protected

Definition at line 474 of file PrecedenceRulesGraph.h.

std::string concurrency::ControlFlowNode::m_nodeName
| protected

Definition at line 475 of file PrecedenceRulesGraph.h.

The documentation for this class was generated from the following files:

- GaudiHive/src/PrecedenceRulesGraph.h
- GaudiHive/src/PrecedenceRulesGraph.cpp